package indexed;

/**
 * A node for the indexed list.
 * @author Ronald Mak
 */
public class Node 
{
    private Integer data;
    private Node    prev;
    private Node    next;
    
    /**
     * Constructor.
     * @param data the node data.
     */
    public Node(int data)
    {
        this(data, null, null);
    }
    
    /**
     * Constructor.
     * @param data the node data.
     * @param prev the link to the previous node.
     * @param next the link to the next node.
     */
    public Node(Integer data, Node prev, Node next)
    {
        this.data = data;
        this.prev = prev;
        this.next = next;
    }
    
    public Integer data() { return data; }
    public Node prev()    { return prev; }
    public Node next()    { return next; }
    
    public void setData(Integer data) { this.data = data; }
    public void setPrev(Node prev)    { this.prev = prev; }
    public void setNext(Node next)    { this.next = next; }
}
